use lan_party_core::{
    edit::IntoEdit,
    event::{EventSpec, EventUpdate},
};
use log::debug;
use sycamore::prelude::*;

use crate::components::{Block, Button};

#[component]
pub fn EventsPage<'a, G: Html>(cx: Scope<'a>) -> View<G> {
    let event_spec = create_signal(cx, EventSpec::default());
    let event_update = create_signal(cx, EventUpdate::default());

    view! { cx,
        Block(title="Create new event".into()) {
            (event_spec.edit(cx))
            (event_update.edit(cx))
            Button(icon="mdi-check".into(), onclick=move |_| debug!("{:#?}", event_spec.get()))
        }
    }
}
